#include <iostream>
#include <fstream>
#include <vector>
#include <valarray>
#include "ply.h"

using namespace std;

int main()
{
    vector<valarray<float> > vertices;
    vector<valarray<int> > faces;

    read_ply(cin, vertices, faces);
    cout <<
        "#VRML V2.0 utf8\n"
        "\n"
        "DEF Obj01 Transform {\n"
        "  translation 0 0 0\n"
        "  children [\n"
        "    Shape {\n"
        "      geometry DEF Obj01-FACES IndexedFaceSet {\n"
        "        ccw TRUE\n"
        "        solid TRUE\n"
        "        coord DEF Obj01-COORD Coordinate { point [ ";
    for (size_t i = 0; i < vertices.size(); i++)
    {
        cout << vertices[i][0] << " " << vertices[i][1] << " " << vertices[i][2];
        if (i + 1 != vertices.size()) cout << ", ";
    }
    cout << " ] }\n"
        "        normalsPerVertex FALSE\n"
        "        coordIndex [ ";
    for (size_t i = 0; i < faces.size(); i++)
    {
        for (size_t j = 0; j < faces[i].size(); j++)
            cout << faces[i][j] << ", ";
        cout << "-1";
        if (i + 1 != faces.size()) cout << ", ";
    }
    cout << " ]\n"
        "      }\n"
        "    }\n"
        "  ]\n"
        "}\n";

    return 0;
}
